Package com.orbbec.obsensor

## Interface FileSendCallback

    public interface FileSendCallback

File transfer callback class

### Field Summary

Fields
`static short` `FILE_TRAN_ERR_DDR` DDR access failed
`static short` `FILE_TRAN_ERR_MD5_ERROR` MD5 checksum error
`static short` `FILE_TRAN_ERR_NOT_ENOUGH_SPACE` Insufficient target space error
`static short` `FILE_TRAN_ERR_PATH_NOT_WRITABLE` Destination path is not writable
`static short` `FILE_TRAN_ERR_TIMEOUT` timeout error
`static short` `FILE_TRAN_ERR_WRITE_FLASH_ERROR` write flash error
`static short` `FILE_TRAN_STAT_DONE` File transfer succeeded
`static short` `FILE_TRAN_STAT_PREPARE` preparing
`static short` `FILE_TRAN_STAT_TRANSFER` file transfer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onCallback​(short state, short percent, java.lang.String msg)` file transfer callback

### Field Detail

#### FILE_TRAN_STAT_TRANSFER

    static final short FILE_TRAN_STAT_TRANSFER

file transfer

See Also:
  Constant Field Values

#### FILE_TRAN_STAT_DONE

    static final short FILE_TRAN_STAT_DONE

File transfer succeeded

See Also:
  Constant Field Values

#### FILE_TRAN_STAT_PREPARE

    static final short FILE_TRAN_STAT_PREPARE

preparing

See Also:
  Constant Field Values

#### FILE_TRAN_ERR_DDR

    static final short FILE_TRAN_ERR_DDR

DDR access failed

See Also:
  Constant Field Values

#### FILE_TRAN_ERR_NOT_ENOUGH_SPACE

    static final short FILE_TRAN_ERR_NOT_ENOUGH_SPACE

Insufficient target space error

See Also:
  Constant Field Values

#### FILE_TRAN_ERR_PATH_NOT_WRITABLE

    static final short FILE_TRAN_ERR_PATH_NOT_WRITABLE

Destination path is not writable

See Also:
  Constant Field Values

#### FILE_TRAN_ERR_MD5_ERROR

    static final short FILE_TRAN_ERR_MD5_ERROR

MD5 checksum error

See Also:
  Constant Field Values

#### FILE_TRAN_ERR_WRITE_FLASH_ERROR

    static final short FILE_TRAN_ERR_WRITE_FLASH_ERROR

write flash error

See Also:
  Constant Field Values

#### FILE_TRAN_ERR_TIMEOUT

    static final short FILE_TRAN_ERR_TIMEOUT

timeout error

See Also:
  Constant Field Values

### Method Detail

#### onCallback

    void onCallback​(short state,
                    short percent,
                    java.lang.String msg)

file transfer callback

Parameters:
  `state` - current state
  `msg` - status information
  `percent` - current status progress, percentage 0~100